{
  "params": {
    "ttPolicy": "SPLIT_SINGLE_DATASET",
    "ssdSplitMode": "RANDOM",
    "splitBeforePrepare": true,
    "ssdDatasetSmartName": "TUT_BATCH.transactions_joined_prepared",
    "ssdSelection": {
      "useMemTable": false,
      "filter": {
        "distinct": false,
        "enabled": false
      },
      "partitionSelectionMethod": "ALL",
      "latestPartitionsN": 1,
      "ordering": {
        "enabled": false,
        "rules": []
      },
      "samplingMethod": "CLASS_REBALANCE_TARGET_NB_APPROX",
      "maxRecords": 100000,
      "targetRatio": 0.02,
      "column": "authorized_flag",
      "ascending": true,
      "withinFirstN": -1,
      "maxReadUncompressedBytes": -1
    },
    "ssdTrainingRatio": 0.8,
    "ssdStratified": false,
    "ssdGrouped": false,
    "ssdSeed": 1337,
    "testOnLargerValues": true,
    "streamAll": false,
    "kfold": false,
    "nFolds": 5,
    "instanceIdRefresher": 0,
    "subSamplingSeed": 1337
  },
  "generationDate": 1700139762201,
  "format": "csv1",
  "schema": {
    "columns": [
      {"name":"transaction_id","type":"bigint"},
      {"name":"authorized_flag","type":"bigint"},
      {"name":"purchase_date","type":"string"},
      {"name":"purchase_date_parsed","type":"date"},
      {"name":"purchase_year","type":"bigint"},
      {"name":"purchase_month","type":"bigint"},
      {"name":"purchase_day","type":"bigint"},
      {"name":"purchase_dow","type":"bigint"},
      {"name":"purchase_hour","type":"bigint"},
      {"name":"date","type":"string"},
      {"name":"card_id","type":"string"},
      {"name":"merchant_id","type":"string"},
      {"name":"merchant_category_id","type":"bigint"},
      {"name":"item_category","type":"string"},
      {"name":"purchase_amount","type":"double"},
      {"name":"signature_provided","type":"bigint"},
      {"name":"merchant_subsector_description","type":"string"},
      {"name":"spending_type","type":"string"},
      {"name":"merchant_latitude","type":"double"},
      {"name":"merchant_longitude","type":"double"},
      {"name":"card_first_active_month","type":"date"},
      {"name":"days_active","type":"bigint"},
      {"name":"card_reward_program","type":"string"},
      {"name":"card_latitude","type":"double"},
      {"name":"card_longitude","type":"double"},
      {"name":"card_fico_score","type":"bigint"},
      {"name":"card_age","type":"bigint"},
      {"name":"card_geopoint","type":"string"},
      {"name":"card_state","type":"string"},
      {"name":"card_state_enName","type":"string"},
      {"name":"merchant_geopoint","type":"string"},
      {"name":"merchant_state","type":"string"},
      {"name":"merchant_state_enName","type":"string"},
      {"name":"dist_cardholder_merchant","type":"double"},
      {"name":"risk","type":"string"}
    ],
    "userModified": false
  },
  "trainPath": "train.csv.gz",
  "testPath": "test.csv.gz",
  "trainRows": 43664,
  "testRows": 11029,
  "fullRows": 0
}